Bug 1733066 - RFE: Support custom helper ports with AutomaticHelpers=no
Summary: RFE: Support custom helper ports with AutomaticHelpers=no
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: firewalld
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Eric Garver
QA Contact: Tomas Dolezal
Marc Muehlfeld
URL:
Whiteboard:
Depends On: 1740670
Blocks: 1755139 1733064 1738635
TreeView+ depends on / blocked
 
Reported: 2019-07-25 07:02 UTC by Akhil John
Modified: 2020-04-28 16:51 UTC (History)
3 users (show)

Fixed In Version: firewalld-0.8.0-1.el8
Doc Type: Enhancement
Doc Text:
.Rules for the `firewalld` service can now use connection tracking helpers for services running on a non-standard port User-defined helpers in the `firewalld` service can now use standard kernel helper modules. This enables administrators to create `firewalld` rules to use connection tracking helpers for services running on a non-standard port.
Clone Of:
Environment:
Last Closed: 2020-04-28 16:51:23 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2020:1836 0 None None None 2020-04-28 16:51:53 UTC

Comment 2 Eric Garver 2019-09-18 16:33:31 UTC
upstream:

8c65bda2a750 ("fix: allow custom helpers using standard helper modules")
d403dcd84f53 ("config/services/matrix: use service include")

Comment 3 Eric Garver 2019-09-18 16:34:21 UTC
correct upstream commits:

 3adabc19a9ac ("test: helper: coverage for custom helper")
 8c65bda2a750 ("fix: allow custom helpers using standard helper modules")

Comment 9 errata-xmlrpc 2020-04-28 16:51:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:1836


Note You need to log in before you can comment on or make changes to this bug.